WordPress.org

Plugin Directory

authLdap

Use your existing LDAP flexible as authentication backend for WordPress

1.4.14

  • Update to showing password-fields check (thanks to @chaplina)

1.4.13

  • Removed generation of default email-address (thanks to @henryk)
  • Fixes password-hashing when caching passwords (thanks to @litinoveweedle)
  • Removes the possibility to reset a password for LDAP-based users (thanks to @chaplina)
  • Removes the password-change-Email from 4.3 on (thanks to @litinoveweedle)
  • Fixes double authentication-attempt (that resulted in failed authentication) (thanks to @litinoveweedle)

1.4.10

  • Cleanup by removing deprecated code
  • Fixes issues with undefined variables
  • Enables internal option-versioning
  • Setting users nickname initially to the realname instead of the uid
  • Fixes display of password-change possibility in users profile-page

1.4.9

  • Fixed an issue with changing display name on every login
  • Use proper way of looking up user-roles in setups w/o DB-prefix

1.4.8

  • Updated version string

1.4.7

  • Use default user to retrieve group menberships and not logging in user.
  • return the UID from the LDAP instead of the value given by the user
  • remove unnecessary checkbox
  • Adds a testsuite
  • Fixes PSR2 violations

[…]

1.2.1

1.1.0

  • Changed the login-process. Now users that are not allowed to login due to missing group-memberships are not created within your blog as was the standard until Version 1.0.3 - Thanks to alex@tayts.com
  • Changed the default mail-address that is created when no mail-address can be retrieved from the LDAP from me@example.com to $username@example.com so that a new user can be created even though the mail address already exists in your blog - Also thanks to alex@tayts.com
  • Added support for WordPress-Table-prefixes as the capabilities of a user are interlany stored in a field that is named "$tablePrefix_capabilities" - again thanks to alex@tayts.com and also to sim0n of silicium.mine.nu

Requires: 2.5.0 or higher
Compatible up to: 4.5.3
Last Updated: 1 month ago
Active Installs: 400+

Ratings

5 out of 5 stars

Support

1 of 2 support threads in the last two months have been marked resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

0,1,0
100,1,1 100,1,1
50,2,1 100,1,1
100,1,1
100,2,2
100,1,1
100,1,1
100,1,1 100,1,1
0,1,0